Browse the help center

Create advertiser IP range targeting

Creates an IP range targeting rule for the specified advertiser and enables targeting if it was previously disabled.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/ip-range/create.do

Creates an IP range targeting rule for the specified advertiser and enables targeting if it was previously disabled. Both IPv4 and IPv6 addresses are supported. The ipFrom must be less than or equal to ipTo. Returns the created targeting rule as JSON. Requires IP_RANGE targeting permission and UPDATE permission on the advertiser.

Path Params

advertiserId integer required

Unique numeric ID of the advertiser

1234

Form Params

rule string required

Targeting rule type: INCLUDE or EXCLUDE

INCLUDE

ipFrom string required

Start of the IP range (e.g., '194.222.012.001' for IPv4 or '2001:0db8:85a3:0000:0000:8a2e:0370:7334' for IPv6)

192.168.1.0

ipTo string required

End of the IP range (must be greater than or equal to ipFrom)

192.168.1.255

Responses

200

Success

400

Invalid IP range or ipFrom exceeds ipTo

401

Unauthorized

403

Forbidden

404

Advertiser not found

500

Internal server error

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.